Package org.apache.groovy.json.internal

## Class ValueContainer

- java.lang.Object
- - org.apache.groovy.json.internal.ValueContainer

- All Implemented Interfaces:
    `java.lang.CharSequence`, `Value`

      public class ValueContainer
      extends java.lang.Object
      implements java.lang.CharSequence, Value

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `decodeStrings` |
    `static Value` | `FALSE` |
    `static Value` | `NULL` |
    `static Value` | `TRUE` |
    `Type` | `type` |
    `java.lang.Object` | `value` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueContainer​(java.lang.Object value, Type type, boolean decodeStrings)` |
    `ValueContainer​(java.util.List<java.lang.Object> list)` |
    `ValueContainer​(java.util.Map<java.lang.String,​java.lang.Object> map)` |
    `ValueContainer​(Type type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.math.BigDecimal` | `bigDecimalValue()` |
    `java.math.BigInteger` | `bigIntegerValue()` |
    `boolean` | `booleanValue()` |
    `byte` | `byteValue()` |
    `char` | `charAt​(int index)` |
    `char` | `charValue()` |
    `void` | `chop()` |
    `java.util.Date` | `dateValue()` |
    `double` | `doubleValue()` |
    `float` | `floatValue()` |
    `int` | `intValue()` |
    `boolean` | `isContainer()` |
    `int` | `length()` |
    `long` | `longValue()` |
    `short` | `shortValue()` |
    `java.lang.String` | `stringValue()` |
    `java.lang.String` | `stringValueEncoded()` |
    `java.lang.CharSequence` | `subSequence​(int start, int end)` |
    `<T extends java.lang.Enum> T` | `toEnum​(java.lang.Class<T> cls)` |
    `java.lang.String` | `toString()` |
    `java.lang.Object` | `toValue()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.CharSequence

      `chars, codePoints`

- - ### Field Detail

    - #### TRUE

          public static final Value TRUE

    - #### FALSE

          public static final Value FALSE

    - #### NULL

          public static final Value NULL

    - #### value

          public java.lang.Object value

    - #### type

          public Type type

    - #### decodeStrings

          public boolean decodeStrings

  - ### Constructor Detail

    - #### ValueContainer

          public ValueContainer​(java.lang.Object value,
                                Type type,
                                boolean decodeStrings)

    - #### ValueContainer

          public ValueContainer​(Type type)

    - #### ValueContainer

          public ValueContainer​(java.util.Map<java.lang.String,​java.lang.Object> map)

    - #### ValueContainer

          public ValueContainer​(java.util.List<java.lang.Object> list)

  - ### Method Detail

    - #### intValue

          public int intValue()

      Specified by:
        `intValue` in interface `Value`

    - #### longValue

          public long longValue()

      Specified by:
        `longValue` in interface `Value`

    - #### booleanValue

          public boolean booleanValue()

      Specified by:
        `booleanValue` in interface `Value`

    - #### stringValue

          public java.lang.String stringValue()

      Specified by:
        `stringValue` in interface `Value`

    - #### stringValueEncoded

          public java.lang.String stringValueEncoded()

      Specified by:
        `stringValueEncoded` in interface `Value`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `java.lang.CharSequence`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### toValue

          public java.lang.Object toValue()

      Specified by:
        `toValue` in interface `Value`

    - #### toEnum

          public <T extends java.lang.Enum> T toEnum​(java.lang.Class<T> cls)

      Specified by:
        `toEnum` in interface `Value`

    - #### isContainer

          public boolean isContainer()

      Specified by:
        `isContainer` in interface `Value`

    - #### chop

          public void chop()

      Specified by:
        `chop` in interface `Value`

    - #### charValue

          public char charValue()

      Specified by:
        `charValue` in interface `Value`

    - #### length

          public int length()

      Specified by:
        `length` in interface `java.lang.CharSequence`

    - #### charAt

          public char charAt​(int index)

      Specified by:
        `charAt` in interface `java.lang.CharSequence`

    - #### subSequence

          public java.lang.CharSequence subSequence​(int start,
                                                    int end)

      Specified by:
        `subSequence` in interface `java.lang.CharSequence`

    - #### dateValue

          public java.util.Date dateValue()

      Specified by:
        `dateValue` in interface `Value`

    - #### byteValue

          public byte byteValue()

      Specified by:
        `byteValue` in interface `Value`

    - #### shortValue

          public short shortValue()

      Specified by:
        `shortValue` in interface `Value`

    - #### bigDecimalValue

          public java.math.BigDecimal bigDecimalValue()

      Specified by:
        `bigDecimalValue` in interface `Value`

    - #### bigIntegerValue

          public java.math.BigInteger bigIntegerValue()

      Specified by:
        `bigIntegerValue` in interface `Value`

    - #### doubleValue

          public double doubleValue()

      Specified by:
        `doubleValue` in interface `Value`

    - #### floatValue

          public float floatValue()

      Specified by:
        `floatValue` in interface `Value`